Michal Čihař - Aktualizace phpMyAdmina

Aktualizace phpMyAdmina

Aktualizace aplikace na novou verzi v produkčním prostředí občas může způsobit značné problémy. Jaká úskalí vás mohou potkat při aktualizaci phpMyAdmina?

Přechod na novou verzi

phpMyAdmin již mnoho verzí počítá se snadnou možností aktualizace a tak jediná věc, která je obvykle potřeba je překopírování konfiguračního souboru config.inc.php do nové verze. Pokud jste však z nějakých důvodů používali prehistorickou verzi phpMyAdmin 2.3.0, budete muset konfigurační soubor převést do nového formátu (skript scripts/convertcfg.pl vám v tom bude nápomocen). Nyní můžete novou verzi vyzkoušet a vše by mělo fungovat.

Změny nastavení mezi verzemi

Jak již bylo řečeno, není potřeba při aktualizaci phpMyAdmina měnit jeho nastavení. Nicméně přesto může být zásah do konfiguračního souboru config.inc.php užitečný, protože nové verze přidávají nové vlastnosti, které třeba budete chtít využít. Tyto paramtery jsou popsané v  dokumentaci a jejich výchozí hodnoty naleznete v souboru libraries/config.default.php . Tento soubor nepoužívejte jako config.inc.php , jeho použití může mít za následek nefunkčnost při přechodu na další verzi. Pokud vám výchozí hodnoty vyhovují, není potřeba nic měnit, automaticky se použijí, jinak vložte tuto konfigurační volbu do svého konfiguračního souboru.

Témata

Vaše stará témata nemusí být kompatibilní s novou verzí. I když se phpMyAdmin v současné době snaží být kompatibilní i se staršími verzemi témat, někdy jsou změny v rozhraní příliš velké a stará témata prostě nebudou vypadat dobře. V tomto případě vám nezbyde než čekat na vydání nové verze tématu nebo provést potřebné změny pro docílení dobrého vzhledu vlastními silami.

New Comment

You can not add new comments to old blog posts.